/**
 *
 * @access public
 * @return void
 **/
function show_presentation_effect() {
    $("#dynamic-container").css('height', $(document).height() + 'px');
    $("#dynamic-container").css('display', 'block');
    $('#dynamic-container').fadeTo('fast', 0.7);
}

/**
 *
 * @access public
 * @return void
 **/
function unshow_presentation_effect() {
    $('#dynamic-container').fadeOut('fast');
}

/**
 *
 * @access public
 * @return void
 **/
function close_dialog(id) {
    if (id)
        $('#' + id).fadeOut('fast');

    $('#loadingBar').fadeOut(500, function() {
        unshow_presentation_effect();
    });
    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function process_dialog(id) {
    if (id)
        $('#' + id).css('display', 'none');

    $("#loadingBar").css('top', Math.floor($(window).height() / 2) + $(window).scrollTop() - $("#loadingBar").height());
    $("#loadingBar").css('left', Math.floor($(window).width() / 2) + $(window).scrollLeft());
    $("#loadingBar").css('display', 'block');
    return false;
}